cpw.mods.fml.common

## Class ILanguageAdapter.ScalaAdapter

- java.lang.Object
- - cpw.mods.fml.common.ILanguageAdapter.ScalaAdapter

- All Implemented Interfaces:
    ILanguageAdapter
  Enclosing interface:
    ILanguageAdapter

      public static class ILanguageAdapter.ScalaAdapter
      extends java.lang.Object
      implements ILanguageAdapter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface cpw.mods.fml.common.ILanguageAdapter

      `ILanguageAdapter.JavaAdapter, ILanguageAdapter.ScalaAdapter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ILanguageAdapter.ScalaAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getNewInstance(FMLModContainer container, java.lang.Class<?> scalaObjectClass, java.lang.ClassLoader classLoader, java.lang.reflect.Method factoryMarkedAnnotation)`
    `void` | `setInternalProxies(ModContainer mod, Side side, java.lang.ClassLoader loader)`
    `void` | `setProxy(java.lang.reflect.Field target, java.lang.Class<?> proxyTarget, java.lang.Object proxy)`
    `boolean` | `supportsStatics()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ILanguageAdapter.ScalaAdapter

          public ILanguageAdapter.ScalaAdapter()

  - ### Method Detail

    - #### getNewInstance

          public java.lang.Object getNewInstance(FMLModContainer container,
                                        java.lang.Class<?> scalaObjectClass,
                                        java.lang.ClassLoader classLoader,
                                        java.lang.reflect.Method factoryMarkedAnnotation)
                                          throws java.lang.Exception

      Specified by:
        `getNewInstance` in interface `ILanguageAdapter`
      Throws:
        `java.lang.Exception`

    - #### supportsStatics

          public boolean supportsStatics()

      Specified by:
        `supportsStatics` in interface `ILanguageAdapter`

    - #### setProxy

          public void setProxy(java.lang.reflect.Field target,
                      java.lang.Class<?> proxyTarget,
                      java.lang.Object proxy)
                        throws java.lang.IllegalArgumentException,
                               java.lang.IllegalAccessException,
                               java.lang.NoSuchFieldException,
                               java.lang.SecurityException

      Specified by:
        `setProxy` in interface `ILanguageAdapter`
      Throws:
        `java.lang.IllegalArgumentException`
        `java.lang.IllegalAccessException`
        `java.lang.NoSuchFieldException`
        `java.lang.SecurityException`

    - #### setInternalProxies

          public void setInternalProxies(ModContainer mod,
                                Side side,
                                java.lang.ClassLoader loader)

      Specified by:
        `setInternalProxies` in interface `ILanguageAdapter`